gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gst::ValueList Class Reference
Inheritance diagram for Gst::ValueList:
[legend]
Collaboration diagram for Gst::ValueList:
[legend]

## Public Member Functions
| ValueList ()
| Default constructor. More...
guint | size () const
bool | get (guint index, Glib::ValueBase& value) const
Gst::ValueList& | append (const Glib::ValueBase& value)
Gst::ValueList& | prepend (const Glib::ValueBase& value)

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Constructor & Destructor Documentation

Gst::ValueList::ValueList | ( |  | ) |

Default constructor.

## Member Function Documentation

Gst::ValueList& Gst::ValueList::append | ( | const Glib::ValueBase & | value | ) |

bool Gst::ValueList::get | ( | guint | index,
|  | Glib::ValueBase & | value
| ) |  | const

static GType Gst::ValueList::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Gst::ValueList& Gst::ValueList::prepend | ( | const Glib::ValueBase & | value | ) |

guint Gst::ValueList::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- gstreamermm/valuelist.h